﻿.emailApproval {
    background-color: white;
    position: absolute;
    top: 40px;
    left: 0;
    right: 0;
    bottom: 0;
    color: rgb(51, 51, 51);
    display: flex;
    flex-direction: column;
    text-align: left;
}

.emailApproval .banner,
.emailApproval #assessmentForm-content,
.emailApproval .status-text {
    padding: 20px 8px;
}

.emailApproval .banner {
    flex: 0 0 auto;
    padding-top: 10px;
    padding-bottom: 10px;
    height: 36px;
    font-weight: 400;
    font-size: 20px;
    display: flex;
    align-items: center;
}

.emailApproval #assessmentForm-content {
    flex: 1 1 0;
}

.emailApproval .banner-title::after {
    content: '|';
    margin: 0 8px;
    opacity: 0.25;
}

.emailApproval .separatorLine {
    margin: 0;
    opacity: 0.25;
}

.emailApproval .groupBox {
    border: 1px solid #ddd;
    border-radius: 3px;
    overflow: hidden;
}

.emailApproval .groupBox + .groupBox {
    margin-top: 12px;
}

.emailApproval .groupBox-header {
    display: block;
    padding: 8px 16px;
    font-size: 14px;
    border-bottom: inherit;
    background-color: #f7f7f7;
}

.emailApproval .groupBox-content {
    margin: 0;
    padding: 8px 16px;
    display: flex;
    flex-direction: column;
}

.emailApproval table {
    flex: 1 1 0;
    font-size: 14px;
}

.emailApproval th {
    padding-bottom: 5px;
    font-weight: normal;
    padding-right: 10px;
    cursor: default;
    vertical-align: top;
    width: 60px;
}

.emailApproval td {
    padding-bottom: 5px;
    vertical-align: top;
}

.emailApproval .loadingText {
    font-size: 14px;
}

.emailApproval .reasonInputBox {
    box-sizing: border-box;
    width: 100%;
    height: 110px;
    resize: none;
    padding: 7px 9px 8px;
    font-family: inherit;
    font-size: 14px;
    white-space: pre-wrap;
    margin: 0;
    line-height: 1.35715;
    border: rgb(221, 221, 211) solid 1px;
    border-radius: 4px;
}

.emailApproval .reasonInputBox:hover {
    border-color: rgba(51, 122, 183, 0.4);
}

.emailApproval .reasonInputBox:focus {
    border-color: #337ab7;
    outline: none;
}

.emailApproval .validationMessage {
    color: rgb(217, 83, 79);
    font-size: 14px;
    text-align: right;
}

.emailApproval .submitButton {
    display: flex;
    justify-content: end;
    padding: 10px 8px;
}

.emailApproval .reasonSubmitButton {
    background: white;
    min-width: 100px;
    padding: 8px 12px;
    border: rgb(221, 221, 221) solid 1px;
    border-radius: 4px;
    cursor: pointer;
}

.emailApproval .reasonSubmitButton:hover,
.emailApproval .reasonSubmitButton:focus {
    background: rgb(245, 245, 245);
    outline: none;
}

.emailApproval .reasonSubmitButton:active {
    background: rgb(194, 194, 194);
}

.emailApproval .status-text {
    font-size: 14px;
}

@media screen and (min-width: 768px) {
    .emailApproval {
        width: 100%;
        margin: auto;
        margin-top: 40px;
        max-width: 800px;
        border-radius: 6px;
        position: static;
    }

    .emailApproval .banner,
    #assessmentForm-content,
    .emailApproval .status-text {
        padding: 20px;
    }

    .emailApproval th {
        width: 120px;
    }

    .emailApproval .submitButton {
        padding: 10px 20px;
    }
}